%define aurox_ver 9.3
%define rel 2


%define poname redhat-config-xfree86

Summary: A graphical interface for configuring XFree86
Name: system-config-xfree86
Version: 0.9.15
Release: %{aurox_ver}.aur.%{rel}
URL: http://fedora.redhat.com/projects/config-tools/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: redhat-config-xfree86-%{version}.tar.bz2
Patch0: redhat-config-xfree86-%{version}-aurox.patch
BuildRequires: python-tools
ExcludeArch: s390 s390x
Requires: pygtk2 >= 1.99.11
Requires: pygtk2-libglade
Requires: python2
Requires: usermode >= 1.36
Requires: hwdata >= 0.80
Requires: kudzu >= 1.1.31-1
Requires: pyxf86config >= 0.3.1
Requires: rhpl >= 0.116-1
Requires: redhat-config-mouse >= 1.0.3-4
Requires: redhat-artwork >= 0.61-1
Requires: xsri
Requires: XFree86
Obsoletes: Xconfigurator
Obsoletes: redhat-config-xfree86
Provides: redhat-config-xfree86 = %{version}

%description
system-config-xfree is a graphical user interface that allows the user to configure their XFree86 Xserver.

%prep
%setup -q -n redhat-config-xfree86-%{version}
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make INSTROOT=$RPM_BUILD_ROOT install
mv -f $RPM_BUILD_ROOT%{_datadir}/applications/redhat-config-xfree86.desktop \
  $RPM_BUILD_ROOT%{_datadir}/applications/system-config-xfree86.desktop

desktop-file-install --vendor system --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Aurox-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/system-config-xfree86.desktop

%find_lang %poname

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/redhat-config-xfree86 ] ; then
  rm -rf /usr/share/redhat-config-xfree86/*.pyc
fi

%files -f %{poname}.lang
%defattr(-,root,root)
%{_bindir}/redhat-config-xfree86
%{_datadir}/redhat-config-xfree86
%{_datadir}/applications/*
#%{_datadir}/pixmaps/redhat-config-xfree.png
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-xfree86
%attr(0644,root,root) %config /etc/pam.d/redhat-config-xfree86

%changelog
* Tue Jan 27 2004 Aurox Team <aurox@aurox.org> 0:0.9.15-9.3.aur.2
- minor translation update (shortcut)
- rebuild without system-config... link
- import to svn
- port Polish translation from Aurox 9.0
- update Polish translation

* Thu Oct 23 2003 Brent Fox <bfox@redhat.com> 0.9.15-1
- work around cards with no driver entries (bug #106501)

* Thu Oct 23 2003 Brent Fox <bfox@redhat.com> 0.9.14-1
- check length of list before removing items (bug #107790)

* Thu Oct 16 2003 Brent Fox <bfox@redhat.com> 0.9.13-1
- allow dualhead to be disabled (bug #107261)

* Wed Oct 15 2003 Brent Fox <bfox@redhat.com> 0.9.12-1
- fix bug #106884 for real this time

* Tue Oct 14 2003 Brent Fox <bfox@redhat.com> 0.9.11-1
- package lightrays.png inside redhat-config-xfree86

* Mon Oct 13 2003 Brent Fox <bfox@redhat.com> 0.9.10-1
- make sure current is initialized (bug #106884)

* Mon Oct  6 2003 Brent Fox <bfox@redhat.com> 0.9.9-3
- add a Requires for XFree86 (bug #105992)

* Mon Oct  6 2003 Brent Fox <bfox@redhat.com> 0.9.9-2
- finish up the dual-head code
- catch case of having no layout options

* Thu Oct  2 2003 Brent Fox <bfox@redhat.com> 0.9.9-1
- first stab at multihead code
- commit some additional monitor icons

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 0.9.8-1
- tag on every build

* Thu Jun  5 2003 Brent Fox <bfox@redhat.com> 0.9.7-1
- see if we have the name for an unprobed monitor

* Tue Jun  3 2003 Brent Fox <bfox@redhat.com> 0.9.6-1
- only offer the resolutions that we know to be reasonable for the selected monitor (bug #88269)

* Fri May 30 2003 Brent Fox <bfox@redhat.com> 0.9.5-1
- big UI changes
- make room in the UI for multihead stuff

* Wed May 28 2003 Brent Fox <bfox@redhat.com> 0.7.6-1
- add an ExcludeArch for s390 and s390x (bug #91811)

* Fri May 23 2003 Brent Fox <bfox@redhat.com> 0.7.5-1
- turn on horizontal scrolling in videocard window
- initialize dpi measurement option menu correctly (bug #90190)

* Wed May 21 2003 Michael Fulbright <msf@redhat.com> 0.7.4-1
- converted to use new way of representing Generic monitors in MonitorsDB

* Tue Feb  4 2003 Brent Fox <bfox@redhat.com> 0.7.3-2
- paint the background with lightrays.png

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 0.7.3-1
- bump and build

* Tue Jan 21 2003 Brent Fox <bfox@redhat.com> 0.7.2-3
- add closing parenthesis (bug #80398)

* Mon Jan 20 2003 Brent Fox <bfox@redhat.com> 0.7.2-2
- iterate through available video cards until one works
- clean up the output

* Fri Jan 17 2003 Brent Fox <bfox@redhat.com> 0.7.1-6
- make monitor dialog a little larger and allow horz. scrolling (bug #82112)

* Tue Jan 14 2003 Brent Fox <bfox@redhat.com> 0.7.1-5
- fixed desktop file icon

* Thu Jan  9 2003 Jeremy Katz <katzj@redhat.com> 0.7.1-4
- import rhpl.monitor

* Mon Jan  6 2003 Brent Fox <bfox@redhat.com> 0.7.1-3
- try to read the XMOUSETYPE from /etc/sysconfig/mouse (bug #74992)

* Sun Jan  5 2003 Brent Fox <bfox@redhat.com> 0.7.1-2
- fix the dialog centering code
- connect the resolution menu to update_ui so the screenshot gets refreshed

* Sun Jan  5 2003 Brent Fox <bfox@redhat.com> 0.7.1-1
- change radio buttons to OptionMenus

* Fri Jan  3 2003 Brent Fox <bfox@redhat.com> 0.7.0-6
- default to us keyboard if /etc/sysconfig/keyboard contains a keyboard unknown to rhpl (bug #80993)

* Sun Dec 22 2002 Brent Fox <bfox@redhat.com> 0.7.0-5
- change xconfig.comment to reflect that redhat-config-xfree86 made the change

* Fri Dec 20 2002 Brent Fox <bfox@redhat.com> 0.7.0-4
- call mouse.read() if probing didn't return a valid DEVICE info (bug #80115)
- import string in videocardDialog.py
- pass hardware_state into VideocardDialog

* Thu Dec 19 2002 Brent Fox <bfox@redhat.com> 0.7.0-2
- made some ui cleanups that keeps the dialog from resizing while changing resolutions
- removed all the autoconf stuff and replaced it with simpler Makefile and spec file
- rebuild for completeness

* Fri Dec 13 2002 Brent Fox <bfox@redhat.com> 0.7.0-1
- pulled the classes out into their own files to make it more understandable

* Tue Nov 12 2002 Michael Fulbright <msf@redhat.com> 0.6.9-1
- migrated to new rhpl based backend

* Tue Nov  5 2002 Alexander Larsson <alexl@redhat.com>
- Fixed some small bugs

* Thu Sep  5 2002 Alexander Larsson <alexl@redhat.com>
- Require pygtk2-libglade

* Fri Aug 30 2002 Jeremy Katz <katzj@redhat.com> 0.6.6-1
- create /etc/X11/X symlink (#73108)

* Wed Aug 28 2002 Alexander Larsson <alexl@redhat.com> 0.6.5-1
- Fix DRI state changes. (#72255)

* Tue Aug 27 2002 Alexander Larsson <alexl@redhat.com> 0.6.4-1
- Fix XF86Option typo (#72243)

* Mon Aug 26 2002 Alexander Larsson <alexl@redhat.com> 0.6.3-1
- Fixes bug #72456

* Fri Aug 23 2002 Alexander Larsson <alexl@redhat.com> 0.6.2-1
- Fixed part of Bug #72275, the rest is in Gtk+.

* Wed Aug 21 2002 Preston Brown <pbrown@redhat.com> 0.6.1-1
- fixed starting tool when XF86Config is corrupt (#71461)

* Fri Aug  9 2002 Alexander Larsson <alexl@redhat.com> 0.6.0-1
- Add 640x480 to list of resolutions
- Kluge around treeview horizontal scroll bug in videocard dialog
- set textdomain everywhere it is needed to make i18n work
- Try --reconfig if starting an xserver with the current config file doesn't work.
- Tell gdm to restart server on logout after we write the config file.

* Tue Aug  6 2002 Preston Brown <pbrown@redhat.com> 0.5.2-1
- output to XF86Config (not XF86Config-4) when using --reconfig

* Fri Jul 19 2002 Alexander Larsson <alexl@redhat.com>
- Obsolete Xconfigurator

* Wed Jun 26 2002 Alexander Larsson <alexl@redhat.com> 0.3.1-1
- Updated to use configure

* Mon Jun 17 2002 Alexander Larsson <alexl@redhat.com>
- Bumped version to 0.3.0

* Thu May 30 2002 Alex Larsson <alexl@redhat.com>
- Bumped to 0.2.2

* Tue May 28 2002 Alex Larsson <alexl@redhat.com>
- Update to version 0.2.0

* Thu Apr 11 2002 Alex Larsson <alexl@redhat.com> 0.1.0-1
- Initial release

* Tue Apr  9 2002 Alex Larsson <alexl@redhat.com>
- Initial specfile


